Bug 881748 - (CVE-2012-5599, CVE-2012-6061) CVE-2012-5599 CVE-2012-6061 wireshark: DoS (infinite loop) in the WTP dissector (wnpa-sec-2012-37)
CVE-2012-5599 CVE-2012-6061 wireshark: DoS (infinite loop) in the WTP dissect...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121128,reported=2...
: Security
Depends On: 881873 994924 1004712 1074904 1074905
Blocks: 881865 974906
  Show dependency treegraph
 
Reported: 2012-11-29 09:05 EST by Jan Lieskovsky
Modified: 2016-03-04 07:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-31 15:03:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-29 09:05:58 EST
A denial of service flaw was found in the way WTP dissector of Wireshark, a network traffic analyzer, performed dissection of certain WTP packet capture files. A remote attacker could provide a specially-crafted WTP packet / packet capture that, once processed, would lead to excessive CPU consumption or into situation where tshark executable would enter an infinite loop, when trying to process the crafted packet / packet capture file.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7869

References:
[2] http://www.wireshark.org/security/wnpa-sec-2012-37.html
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.6.12.html
[4] http://www.wireshark.org/docs/relnotes/wireshark-1.8.4.html

Relevant upstream patch:
[5] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45614

Reproducer:
[6] http://www.wireshark.org/download/automated/captures/fuzz-2012-10-16-24396.pcap
Comment 1 Jan Lieskovsky 2012-11-29 09:08:03 EST
This issue affects the versions of the wireshark package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the wireshark package, as shipped with Fedora release of 16 and 17.
Comment 2 Jan Lieskovsky 2012-11-29 12:50:25 EST
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 881873]
Comment 3 Vincent Danen 2012-11-29 17:10:44 EST
This was assigned CVE-2012-5599:

http://www.openwall.com/lists/oss-security/2012/11/29/5
Comment 4 Huzaifa S. Sidhpurwala 2012-11-29 23:35:45 EST
Statement CVE-2012-6061:

(none)
Comment 5 Jan Lieskovsky 2012-12-05 08:51:07 EST
The CVE-2012-5599 identifier has been rejected by Mitre in favour of CVE-2012-6061 one:

Name: CVE-2012-5599

** REJECT **

DO NOT USE THIS CANDIDATE NUMBER.  ConsultIDs: CVE-2012-6061.  Reason:
This candidate is a reservation duplicate of CVE-2012-6061.  Notes:
All CVE users should reference CVE-2012-6061 instead of this
candidate.  All references and descriptions in this candidate have
been removed to prevent accidental usage.

--

The correct CVE id this particular wireshark flaw should be referenced under (from now on) is CVE-2012-6061.
Comment 9 errata-xmlrpc 2013-11-21 02:30:59 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1569 https://rhn.redhat.com/errata/RHSA-2013-1569.html
Comment 11 errata-xmlrpc 2014-03-31 14:00:25 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0341 https://rhn.redhat.com/errata/RHSA-2014-0341.html

Note You need to log in before you can comment on or make changes to this bug.